Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2146 - Umask setting not correct by default?
Summary: Umask setting not correct by default?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd
Version: 5.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-12 20:15 UTC by jacob
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-16 15:54:56 UTC


Attachments (Terms of Use)

Description jacob 1999-04-12 20:15:02 UTC
Since RH uses User private Groups, shouldn't the default
umask for ftpd be 002?

Adding -u002 to the entry in /etc/inetd.conf fixes it.

Comment 1 Preston Brown 1999-04-12 20:32:59 UTC
not sure, what is your take on this Cristian?

Comment 2 Cristian Gafton 1999-06-16 15:54:59 UTC
User private grpups do not apply to the anonymous ftp areas, and this
will be a change that has the potential to cause more problems than it
solves.


Note You need to log in before you can comment on or make changes to this bug.